unit ViewPas;
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Menus;


type
  TfrmShowPas = class(TForm)
    RichEdit1: TRichEdit;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    mnuExit: TMenuItem;
    StatusBar1: TStatusBar;
    PopupMenu1: TPopupMenu;
    mnuSelectall: TMenuItem;
    mnuCopytoClipboard: TMenuItem;
    CuttoClipboard1: TMenuItem;
    PopUpExit: TMenuItem;
    Paste1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    procedure mnuExitClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure mnuSelectallClick(Sender: TObject);
    procedure RichEdit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmShowPas: TfrmShowPas;

implementation

{$R *.DFM}

procedure TfrmShowPas.mnuExitClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmShowPas.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfrmShowPas.mnuSelectallClick(Sender: TObject);
begin
  case (Sender as TMenuItem).tag of
    10: RichEdit1.SelectAll ;
    20: RichEdit1.CopyToClipboard ;
    30: RichEdit1.CutToClipboard ;
    40: RichEdit1.PasteFromClipboard ;
  end;
end;

procedure TfrmShowPas.RichEdit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Shift = [ssCtrl]) then
    case Key of
      65: (Sender as TRichEdit).SelectAll;
    end;
end;

end.
